@echo off

set SERVICE_NAME=BuscaPreco
set DISPLAY_NAME=Próton Sistemas - Busca Preço/GERTEC
set BINARY_PATH=C:\Proton\BuscaPreco\ProtonBuscaPreco.exe

sc query %SERVICE_NAME%
if %errorlevel% equ 0 (
    echo O serviço %SERVICE_NAME% já existe.
    exit /b 1
)

sc create %SERVICE_NAME% displayname="%DISPLAY_NAME%" binpath="%BINARY_PATH%"
if %errorlevel% neq 0 (
    echo Falha ao criar o serviço %SERVICE_NAME%.
    exit /b 1
)

echo O serviço %SERVICE_NAME% foi criado com sucesso.
exit /b 0
